FLAM® Issue Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000654FL51.1 FLCLpublic2015-02-25 09:412015-04-15 15:06
ReporterMykhailo Moldavskyy 
Assigned ToFalk Reichbott 
PrioritynormalSeverityfeatureReproducibilityN/A
StatusresolvedResolutionfixed 
PlatformGeneralOSGeneralOS VersionGeneral
Product Version5.1 
Target Version5.2Fixed in Version5.1.05 
Summary0000654: Generate at read reverse command for write to support edit of files
DescriptionExtend each read object with a parameter to write the corresponding write object to a file, this file can be used as parameter for write operation.

Example for FLEDIT ISPF line command

flcl conv read.auto(file=test.gz retour=ret.cmd) write.rec(file=tmp.txt)

ISPEDIT(tmp.txt)
ISPEDIT(ret.cmd)

flcl conv read.rec(file=tmp.txt) write=ret.cmd
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0000776)
Falk Reichbott (administrator)
2015-03-22 15:41

The CNV command of FLCL supports with version 5.1.5 a new parameter called RETOUR. This parameter is of type string and can contain a output file name. If this parameter provided the FLUC writes a XCNV command file, which correspond to the reverse operation of the CONV command.

For example:
flcl conv read.file=test.dat write.record(file=test.rec) retour=rtr.txt
flcl xcnv=rtr.txt

The second XCNC call of FLCL reads test.rec and write it back to test.dat, with the same inverse conversion done by the CONV command.

This feature is used on ZOS for the new ISPF line command FLEDIT. This allows for example to edit gzip'ed XML-File in UTF-8 with the normal ISPF-Editor.

- Issue History
Date Modified Username Field Change
2015-02-25 09:41 Mykhailo Moldavskyy New Issue
2015-02-25 09:41 Mykhailo Moldavskyy Status new => assigned
2015-02-25 09:41 Mykhailo Moldavskyy Assigned To => Falk Reichbott
2015-02-25 10:08 Mykhailo Moldavskyy Description Updated View Revisions
2015-02-25 10:08 Mykhailo Moldavskyy Description Updated View Revisions
2015-03-22 15:41 Falk Reichbott Note Added: 0000776
2015-03-22 15:41 Falk Reichbott Status assigned => resolved
2015-03-22 15:41 Falk Reichbott Fixed in Version => 5.1
2015-03-22 15:41 Falk Reichbott Resolution open => fixed
2015-04-15 15:06 Falk Reichbott Fixed in Version 5.1 => 5.1.05


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker